VerifierFactoryListModel (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.verifier.VerifierFactoryListModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class VerifierFactoryListModel

    java.lang.Object
      org.apache.bcel.verifier.VerifierFactoryListModel

All Implemented Interfaces:
  ListModel, VerifierFactoryObserver

    public class VerifierFactoryListModel

extends Object
implements VerifierFactoryObserver, ListModel

This class implements an adapter; it implements both a Swing ListModel and a VerifierFactoryObserver.

Version:
  $Id: VerifierFactoryListModel.java 386056 2006-03-15 11:31:56Z tcurdt $

Constructor Summary
`VerifierFactoryListModel()`

Method Summary
`void` | `addListDataListener(ListDataListener l)`
`Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `removeListDataListener(ListDataListener l)`
`void` | `update(String s)` VerifierFactoryObserver instances are notified invoking this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifierFactoryListModel

    public VerifierFactoryListModel()

Method Detail

### update

    public void update(String s)

  Description copied from interface: `VerifierFactoryObserver`
  VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.

  Specified by:
    `update` in interface `VerifierFactoryObserver`

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Specified by:
    `addListDataListener` in interface `ListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.